package com.ys.bdtp.adm.mvvm.ui.screen.project

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.ys.bdtp.adm.mvvm.ui.compose.*

@Composable
fun ProjectScreen() {
    Column(modifier = Modifier.fillMaxSize()) {
        Top(
            left = { TopLeft() },
            right = {
                TopRight(
                    role = { "管家" },
                    click = { println("heiheihei") }
                )
            }
        )

        Spacer(
            modifier = Modifier.fillMaxWidth().height(1.dp).background(Color(0xFFEFF0F1))
        )

        Content {
            ProjectTask()
        }
    }
}


@Preview(
    widthDp = 1280,
    heightDp = 800,
)
@Composable
fun PreviewProjectScreen() {
    ProjectScreen()
}